svn commit: samba r18346 - in branches/SAMBA_4_0/source/lib/ldb/tests: .

tridge at samba.org tridge at samba.org
Sun Sep 10 22:45:45 GMT 2006


Author: tridge
Date: 2006-09-10 22:45:45 +0000 (Sun, 10 Sep 2006)
New Revision: 18346

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18346

Log:

make sure we kill off the slapd process

Added:
   branches/SAMBA_4_0/source/lib/ldb/tests/kill_slapd.sh
Modified:
   branches/SAMBA_4_0/source/lib/ldb/tests/test-ldap.sh


Changeset:
Added: branches/SAMBA_4_0/source/lib/ldb/tests/kill_slapd.sh
===================================================================
--- branches/SAMBA_4_0/source/lib/ldb/tests/kill_slapd.sh	2006-09-10 22:06:49 UTC (rev 18345)
+++ branches/SAMBA_4_0/source/lib/ldb/tests/kill_slapd.sh	2006-09-10 22:45:45 UTC (rev 18346)
@@ -0,0 +1,12 @@
+#!/bin/sh 
+
+if [ -z "$LDBDIR" ]; then
+    LDBDIR=`dirname $0`/..
+    export LDBDIR
+fi
+
+if [ -f tests/tmp/slapd.pid ]; then
+    echo "killing slapd process `cat tests/tmp/slapd.pid`"
+    kill -9 `cat tests/tmp/slapd.pid`
+    rm -f tests/tmp/slapd.pid
+fi


Property changes on: branches/SAMBA_4_0/source/lib/ldb/tests/kill_slapd.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/SAMBA_4_0/source/lib/ldb/tests/test-ldap.sh
===================================================================
--- branches/SAMBA_4_0/source/lib/ldb/tests/test-ldap.sh	2006-09-10 22:06:49 UTC (rev 18345)
+++ branches/SAMBA_4_0/source/lib/ldb/tests/test-ldap.sh	2006-09-10 22:45:45 UTC (rev 18346)
@@ -36,9 +36,19 @@
 PATH=bin:$PATH
 export PATH
 
-. $LDBDIR/tests/init_slapd.sh
-. $LDBDIR/tests/start_slapd.sh
-
 LDB_SPECIALS=0
 export LDB_SPECIALS
-. $LDBDIR/tests/test-generic.sh
+
+if $LDBDIR/tests/init_slapd.sh && 
+   $LDBDIR/tests/start_slapd.sh &&
+   $LDBDIR/tests/test-generic.sh; then
+    echo "ldap tests passed";
+    ret=0
+else
+    echo "ldap tests failed";
+    ret=$?
+fi
+
+$LDBDIR/tests/kill_slapd.sh
+
+exit $ret



More information about the samba-cvs mailing list